Set sorting criteria

- « TableUpdate::limit

- TableUpdate::set »

- PHP Manual
- mysql_xdevapi\TableUpdate
- Set sorting criteria

# TableUpdate::orderby

(No version information available, might only be in Git)

TableUpdate::orderby — Set sorting criteria

### Description

public mysql_xdevapi\TableUpdate::orderby(mixed `$orderby_expr`, mixed `...$orderby_exprs`): mysql_xdevapi\TableUpdate

Sets the sorting criteria.

### Parameters

`orderby_expr`

  The expressions that define the order by criteria. Can be an array with one or more expressions, or a string.

`orderby_exprs`

  Additional sort_expr parameters.

### Return Values

TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::orderby() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $res = $table->update()
      ->set('level', 3)
      ->where('age > 15 and age < 22')
      ->limit(4)
      ->orderby(['age asc','name desc'])
      ->execute();
    ?>